#ifndef VIEWSELECTIONCONFIGDIALOG_H
#define VIEWSELECTIONCONFIGDIALOG_H


#include <QDialog>

#include <ArmarXCore/core/ManagedIceObject.h>


#include <ArmarXGui/libraries/ArmarXGuiBase/widgets/IceProxyFinder.h>

using namespace armarx;

namespace Ui
{
    class ViewSelectionConfigDialog;
}

class ViewSelectionConfigDialog : public QDialog,
    virtual public armarx::ManagedIceObject
{
    Q_OBJECT

public:
    explicit ViewSelectionConfigDialog(QWidget* parent = 0);
    ~ViewSelectionConfigDialog();

    std::string getViewSelectionName()
    {
        return viewSelectionProxyFinder->getSelectedProxyName().toStdString();
    }

signals:

public slots:
    void verifyConfig();

    // ManagedIceObject interface
protected:
    void onInitComponent();
    void onConnectComponent();
    void onExitComponent();
    std::string getDefaultName() const;

private:

    Ui::ViewSelectionConfigDialog* ui;

    IceProxyFinderBase* viewSelectionProxyFinder;

    std::string uuid;

};

#endif // VIEWSELECTIONCONFIGDIALOG_H
