/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::LVL1ControllerInterface
 * @author     Raphael Grimm ( raphael dot grimm at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_ROBOTAPI_LVL1ControllerInterface_SLICE_
#define _ARMARX_ROBOTAPI_LVL1ControllerInterface_SLICE_

#include <RobotAPI/interface/units/KinematicUnitInterface.ice>

module armarx
{
    dictionary<string, string> JointNameToControlModeDictionary;
    class LVL1ControllerConfig
    {
    };

    interface LVL1ControllerInterface
    {
        ["cpp:const"] idempotent string getClassName();
        ["cpp:const"] idempotent string  getInstanceName();
        ["cpp:const"] idempotent JointNameToControlModeDictionary getJointControlModeMap();
        ["cpp:const"] idempotent bool isControllerActive();
    };

    dictionary<string, LVL1ControllerInterface*> StringLVL1ControllerPrxDictionary;
};
#endif
