/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::LVL1KinematicUnitControllerConfigs
 * @author     Raphael Grimm ( raphael dot grimm at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_ROBOTAPI_LVL1KinematicUnitControllerConfigs_SLICE_
#define _ARMARX_ROBOTAPI_LVL1KinematicUnitControllerConfigs_SLICE_

#include <ArmarXCore/interface/core/BasicTypes.ice>
#include <RobotAPI/interface/libraries/RTRobotUnit/LVL1Controllers/LVL1Controller.ice>

module armarx
{
    class LVL1HolonomicPlatformVelocityPassThroughControllerConfig extends LVL1ControllerConfig
    {
        string platformName;
        float initialVelocityX;
        float initialVelocityY;
        float initialVelocityRotation;
    };

    interface LVL1HolonomicPlatformVelocityPassThroughControllerInterface extends LVL1ControllerInterface
    {
        idempotent void setVelocites(float velocityX, float velocityY, float velocityRotation);
    };
};
#endif
