/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::ArmarXObjects::ActuatorPositionTarget
 * @author     Raphael ( ufdrv at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_LIB_RobotAPI_JointPositionTarget_H
#define _ARMARX_LIB_RobotAPI_JointPositionTarget_H

#include "TargetBase.h"

namespace armarx
{
    /**
    * @defgroup Library-RTRobotUnit RTRobotUnit
    * @ingroup RobotAPI
    * A description of the library RTRobotUnit.
    *
    * @class ActuatorPositionTarget
    * @ingroup Library-RTRobotUnit
    * @brief Brief description of class ActuatorPositionTarget.
    *
    * Detailed description of class ActuatorPositionTarget.
    */
    class ActuatorPositionTarget: public TargetBase
    {
    public:
        float position = ControllerConstants::ValueNotSetNaN;
        virtual std::string getControlMode() const override
        {
            return ControlModes::PositionMode;
        }
        virtual void reset() override
        {
            position = ControllerConstants::ValueNotSetNaN;
        }
        virtual bool isValid() const override
        {
            return std::isfinite(position);
        }
    };

}

#endif
